[arch-commits] Commit in policykit/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 15:59:23 EDT 2009


    Date: Friday, May 8, 2009 @ 15:59:23
  Author: jgc
Revision: 38501

Merged revisions 38485,38500 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/policykit/trunk

........
  r38485 | jgc | 2009-05-08 20:15:18 +0200 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: policykit 0.9-8
      Set create group with gid 102
........
  r38500 | jgc | 2009-05-08 21:59:05 +0200 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: policykit 0.9-8
      Fix documentation build
........

Modified:
  policykit/repos/extra-i686/	(properties)
  policykit/repos/extra-i686/PKGBUILD
  policykit/repos/extra-i686/policykit.install

-------------------+
 PKGBUILD          |   20 ++++++++++----------
 policykit.install |    2 +-
 2 files changed, 11 insertions(+), 11 deletions(-)


Property changes on: policykit/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /policykit/trunk:1-20116
   + /policykit/trunk:1-38500

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-08 19:59:05 UTC (rev 38500)
+++ extra-i686/PKGBUILD	2009-05-08 19:59:23 UTC (rev 38501)
@@ -3,13 +3,13 @@
 
 pkgname=policykit
 pkgver=0.9
-pkgrel=7
+pkgrel=8
 pkgdesc="Application development toolkit for controlling system-wide privileges"
 arch=(i686 x86_64)
 license=('custom')
 url="http://hal.freedesktop.org/docs/PolicyKit/"
-depends=('dbus-glib>=0.76' 'expat>=2.0.1' 'pam')
-makedepends=('intltool' 'docbook-xsl')
+depends=('dbus-glib>=0.80' 'expat>=2.0.1' 'pam')
+makedepends=('intltool' 'docbook-xsl' 'gtk-doc')
 options=('!libtool')
 backup=('etc/PolicyKit/PolicyKit.conf')
 install=policykit.install
@@ -22,17 +22,17 @@
          '15b42b41e98410d8d7ec4f91d0cff190')
 
 build() {
-  cd ${srcdir}/PolicyKit-${pkgver}
-  patch -Np1 -i ${srcdir}/pk-ck-api-change.patch || return 1
+  cd "${srcdir}/PolicyKit-${pkgver}"
+  patch -Np1 -i "${srcdir}/pk-ck-api-change.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
               --libexecdir=/usr/lib/PolicyKit --disable-static \
 	      --with-polkit-user=policykit --with-polkit-group=policykit || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 
-  rm -rf ${pkgdir}/etc/profile.d
-  install -m644 ${srcdir}/polkit.pam ${pkgdir}/etc/pam.d/polkit || return 1
+  rm -rf "${pkgdir}/etc/profile.d"
+  install -m644 "${srcdir}/polkit.pam" "${pkgdir}/etc/pam.d/polkit" || return 1
 }

Modified: extra-i686/policykit.install
===================================================================
--- extra-i686/policykit.install	2009-05-08 19:59:05 UTC (rev 38500)
+++ extra-i686/policykit.install	2009-05-08 19:59:23 UTC (rev 38501)
@@ -1,5 +1,5 @@
 post_install() {
-  getent group policykit >/dev/null || usr/sbin/groupadd policykit
+  getent group policykit >/dev/null || usr/sbin/groupadd -g 102 policykit
   getent passwd policykit >/dev/null || usr/sbin/useradd -c 'PolicyKit' -u 102 -g policykit -d '/' -s /sbin/nologin policykit
   usr/bin/passwd -l policykit &>/dev/null
 



More information about the arch-commits mailing list